Subject: [Tigers] Carburetor input pressure

From: Terry Lawell via Tigers <[email-masked]>
Date: Wed, 21 Apr 2021 14:06:11 -0500

I just put an Edelbrock electric fuel pump on my 66 MK1A with an 
original 2 barrel carb . The pump had a rating of 4-7psi. At idle it is 
reading 8.5psi. I have not yet tested it under load. Is the 8.5psi too 
high for the float control valve to operate properly and should i put a 
regulator on it? Any input appreciated.

Terry
_______________________________________________

[email-masked]

Archive: http://www.team.net/pipermail/tigers http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]